@extends('adminlte::layouts.auth')

@section('htmlheader_title')
	Password recovery
@endsection

@section('content')
	<div class="login-box m-auto">
		<div class="login-logo">
			<a>{!! config('app.name_html_long') !!}</a>
		</div>

		@if (Session::has('status'))
			<div class="text-center mb-3">
				<div class="alert alert-success m-auto">
					<strong>OK!</strong> {{ Session::get('status') }}
				</div>
			</div>
		@endif

		@if (count($errors) > 0)
			<div class="alert alert-danger">
				<strong>Whoops!</strong> {{ trans('adminlte_lang::message.someproblems') }}<br><br>
				<ul>
					@foreach ($errors->all() as $error)
						<li>{{ $error }}</li>
					@endforeach
				</ul>
			</div>
		@endif

		<!-- /.login-logo -->
		<div class="card">
			<div class="card-body login-card-body">
				<p class="login-box-msg">You forgot your password? Here you can easily retrieve a new password.</p>

				<form method="post" action="{{ url('password/email') }}">
					{{ csrf_field() }}
					<div class="input-group mb-3">
						<input type="email" name="email" class="form-control" placeholder="Email" required>
						<div class="input-group-append">
							<span class="fas fa-envelope input-group-text"></span>
						</div>
					</div>
					<div class="row">
						<div class="col-12">
							<button type="submit" class="btn btn-primary btn-block">{{ trans('adminlte_lang::message.sendpassword') }}</button>
						</div>
						<!-- /.col -->
					</div>
				</form>

				<p class="mt-3 mb-1">
					<a href="{{ url('login') }}">{{ trans('adminlte_lang::message.login') }}</a>
				</p>

				@isset($register)
					<p class="mb-0">
						<a href="{{ url('register') }}" class="text-center">{{ trans('adminlte_lang::message.register') }}</a>
					</p>
				@endisset
			</div>
			<!-- /.login-card-body -->
		</div>
	</div>
	<!-- /.login-box -->
@endsection