<!DOCTYPE html>
<html lang="en">
	@section('htmlheader')
		@include('adminlte::layouts.partials.htmlheader')
	@show

	<body class="hold-transition sidebar-mini @if (Cookie::get('toggleState') === 'closed') {{ 'sidebar-collapse' }} @endif">
		<div id="app">
			<div class="wrapper">
				@include('adminlte::layouts.partials.mainheader')

				@include('adminlte::layouts.partials.sidebar')

				<!-- Content Wrapper. Contains page content -->
				<div class="content-wrapper">
					<!-- In case we have input fields in the header -->
					@yield('page-form-start')
					@include('adminlte::layouts.partials.contentheader')

					<!-- Main content -->
					<section class="content">
						<div class="container-fluid">
							<!-- Your Page Content Here -->
							@yield('main-content')
						</div>
					</section><!-- /.content -->

					@yield('page-form-end')
				</div><!-- /.content-wrapper -->

				@isset($controlsidebar)
					@include('adminlte::layouts.partials.controlsidebar')
				@endisset

				@include('adminlte::layouts.partials.footer')
			</div><!-- ./wrapper -->
		</div> <!-- ./app -->

		@section('scripts')
			@include('adminlte::layouts.partials.scripts')

			{{-- Scripts --}}
			{!! Asset::scripts() !!}

			@yield('page-scripts')
		@show
	</body>
</html>