<!-- REQUIRED JS SCRIPTS -->
<!-- JQuery and bootstrap are required by Laravel 5.7 in resources/js/bootstrap.js-->
<!-- Laravel App -->
<script src="{{ asset('/js/app.js') }}" type="text/javascript"></script>
<!-- AdminLTE -->
<script src="{{ asset('/js/adminlte.min.js') }}"></script>

<script type="text/javascript">
	// Our CSRF token to each interaction
	$.ajaxSetup({
		headers: {
			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		}
	});

	$.AdminLTESidebarTweak = {};
	$.AdminLTESidebarTweak.Open = true;
	$.AdminLTESidebarTweak.ResizeDelay = 1000;

	$.AdminLTESidebarTweak.options = {
		EnableRemember: true,
		//Removes the transition after page reload.
		NoTransitionAfterReload: false
	};

	// Work out our timezone.
	const tz = Intl.DateTimeFormat().resolvedOptions().timeZone;

	/**
	 * Open and close the sidebar
	 * @param state
	 * @param addclass
	 */
	function sidebaropenclose(state,addclass) {
		// Dont do anything if the state hasnt changed.
		if (state == $.AdminLTESidebarTweak.Open) {
			return;
		}

		$.AdminLTESidebarTweak.Open = state;

		if (addclass !== 'undefined')
			$("body")
				.addClass(state ? 'sidebar-open' : 'sidebar-collapse');

		$(this).delay($.AdminLTESidebarTweak.ResizeDelay).queue(function() {
			window.dispatchEvent(new Event('resize'));
			$(this).dequeue();
		});
	}

	$(function () {
		"use strict";

		$("body").on("collapsed.lte.pushmenu", function(){
			if($.AdminLTESidebarTweak.options.EnableRemember) {
				document.cookie = "toggleState=closed;path=/";

				$("body").queue(sidebaropenclose(false));
			}
		});

		$("body").on("shown.lte.pushmenu", function(){
			if($.AdminLTESidebarTweak.options.EnableRemember){
				document.cookie = "toggleState=opened;path=/";

				$("body").queue(sidebaropenclose(true));
			}
		});

		if($.AdminLTESidebarTweak.options.EnableRemember){
			var re = new RegExp('toggleState' + "=([^;]+)");
			var value = re.exec(document.cookie);
			var toggleState = (value != null) ? unescape(value[1]) : null;
			if(toggleState == 'closed'){
				if($.AdminLTESidebarTweak.options.NoTransitionAfterReload){
					$("body").addClass('sidebar-collapse hold-transition').delay(100).queue(function(){
						$(this).removeClass('hold-transition');
					});
				}else{
					$("body").queue(sidebaropenclose(false,true));
				}
			}
		}
	});
</script>

@if(file_exists('js/custom.js'))
	<!-- Any Custom JS -->
	<script src="{{ asset('js/custom.js') }}"></script>
@endif